org.eclipse.wst.jsdt.core.util

## Class SequenceReader

- java.lang.Object
- - java.io.Reader
  - - org.eclipse.wst.jsdt.core.util.SequenceReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

    public class SequenceReader
    extends java.io.Reader

Provides the contents of multiple Readers in sequence.

### Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
Constructor and Description
`SequenceReader(java.io.Reader[] readers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`int` `read(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Reader

`mark, markSupported, read, read, read, ready, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SequenceReader

    public SequenceReader(java.io.Reader[] readers)

Parameters:
  `readers` - the readers from which to read

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws java.io.IOException

Specified by:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`